### Function

# GLib test_queue_destroy

since: 2.16

#### Declaration

    void
    g_test_queue_destroy (
      GDestroyNotify destroy_func,
      gpointer destroy_data
    )

#### Description

Enqueues a callback `destroy_func` to be executed during the next test case teardown phase.

This is most useful to auto destroy allocated test resources at the end of a test run. Resources are released in reverse queue order, that means enqueueing callback `A` before callback `B` will cause `B()` to be called before `A()` during teardown.

Available since: 2.16

#### Parameters

`destroy_func`

  Type: `GDestroyNotify`

  Destroy callback for teardown phase.

`destroy_data`

  Type: `gpointer`

  Destroy callback data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.